Get Merchant Metric Event Current Value
curl --request POST \
--url https://api.unibee.dev/merchant/metric/event/current_value \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metricCode": "<string>",
"email": "account@unibee.dev",
"externalUserId": "<string>",
"productId": 123,
"userId": 123
}
'import requests
url = "https://api.unibee.dev/merchant/metric/event/current_value"
payload = {
"metricCode": "<string>",
"email": "account@unibee.dev",
"externalUserId": "<string>",
"productId": 123,
"userId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metricCode: '<string>',
email: 'account@unibee.dev',
externalUserId: '<string>',
productId: 123,
userId: 123
})
};
fetch('https://api.unibee.dev/merchant/metric/event/current_value', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {
"currentValue": 123,
"metricLimit": {
"MerchantId": 123,
"MetricId": 123,
"PlanLimits": [
{
"createTime": 123,
"gmtModify": 123,
"id": 123,
"merchantId": 123,
"merchantMetric": {
"aggregationProperty": "<string>",
"aggregationType": 123,
"archived": true,
"carryoverProrationEnabled": true,
"code": "<string>",
"createTime": 123,
"gmtModify": 123,
"id": 123,
"merchantId": 123,
"metaData": {},
"metricDescription": "<string>",
"metricName": "<string>",
"prorationRefundEnabled": true,
"type": 123,
"unit": "<string>"
},
"metricId": 123,
"metricLimit": 123,
"planId": 123,
"quantity": 123
}
],
"TotalLimit": 123,
"UserId": 123,
"aggregationProperty": "<string>",
"aggregationType": 123,
"code": "<string>",
"metricName": "<string>",
"quotaAdjustments": [
{
"adjustmentTime": 123,
"id": 123,
"merchantMemberEmail": "<string>",
"merchantMemberId": 123,
"previousPeriodLimit": 123,
"previousPeriodUsed": 123,
"quotaAmount": 123,
"quotaType": "<string>",
"reason": "<string>"
}
],
"type": 123
},
"totalLimit": 123
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}Metric Event
Get Merchant Metric Event Current Value
POST
/
merchant
/
metric
/
event
/
current_value
Get Merchant Metric Event Current Value
Endpoint Overview
POSThttps://api.unibee.dev/merchant/metric/event/current_value
Get Merchant Metric Event Current Value
Authorization
All UniBee Merchant API requests require authentication via API key.| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
Parameters
Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.Request body
| Name | Type | Required | Description |
|---|---|---|---|
email | string | No | Email, UserId, ExternalUserId, or Email provides one of three options |
externalUserId | string | No | ExternalUserId, UserId, ExternalUserId, or Email provides one of three options |
metricCode | string | Yes | MetricCode |
productId | integer | No | Id of product. Default product will use if productId not specified and subscriptionId is blank |
userId | integer | No | UserId, UserId, ExternalUserId, or Email provides one of three options |
Request examples
cURL
curl -X POST "https://api.unibee.dev/merchant/metric/event/current_value" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"email": "user@example.com",
"externalUserId": "id_example",
"metricCode": "",
"productId": 0,
"userId": 0
}'
Sandbox
curl -X POST "https://api-sandbox.unibee.top/merchant/metric/event/current_value" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"email": "user@example.com",
"externalUserId": "id_example",
"metricCode": "",
"productId": 0,
"userId": 0
}'
Response
Success responses return a JSON envelope withcode, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.currentValue | integer | |
data.metricLimit | object | |
data.totalLimit | integer | Total limit for the metric. Returns -1 if metric is not limit type. |
message | string | Human-readable message |
requestId | string | Request ID for support |
Error handling
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
MetricCode
Email, UserId, ExternalUserId, or Email provides one of three options
ExternalUserId, UserId, ExternalUserId, or Email provides one of three options
Id of product. Default product will use if productId not specified and subscriptionId is blank
UserId, UserId, ExternalUserId, or Email provides one of three options
⌘I

